## dbus 1.0.2-0osso2

=== debian/changelog ===
dbus (1.0.2-0osso2) experimental; urgency=low

  * Activated /etc/dbus-1/event.d for HAL.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Thu, 08 Feb 2007 17:08:51 +0200

dbus (1.0.2-0osso1) experimental; urgency=low

  * Upgraded the upstream tarball to v1.0.2.
  * Fixed problem with installing the package in Sardine environment.
  * Removed 10-fix-match-rule-equal.patch because it's in the tarball.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Tue, 16 Jan 2007 16:13:36 +0200

dbus (1.0.0-osso3) experimental; urgency=low

  * Added support for building with thumb instructions.
  * Fixed bug in match_rule_equal().

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Thu, 23 Nov 2006 18:17:20 +0200

dbus (1.0.0-osso2) experimental; urgency=low

  * Removed unused build dependency to docbook-utils.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Thu, 16 Nov 2006 17:11:36 +0200

dbus (1.0.0-osso1) experimental; urgency=low

  * Upstream upgraded to 1.0.0 (used debian scripts from 0.94-1 as the
    starting point).
  * Ported the initgroups() patch for the new upstream.
  * Added patch to session.conf to allow all users to connect the session bus.
  * Added patch to system.conf to enable starting services by the system bus.
  * Added patch to system.conf to not fork the daemon, because of dsmetool.
  * Added patch to session.conf to have static address for the session bus.
  * Added patch to disable the GCC __noreturn__ attribute because of ARM
    debugging problems caused by it.
  * Replaced the D-Bus v0.94-1 init script with our old one.
  * Added the 'open match' detection patch.
  * Added patch to allow using killpg() for the D-Bus-started process. 
  * Added debug package for the library.
  * Removed installing debian/session.conf (patching upstream is better).
  * Added patch to remove the max. matches limit.
  * Removed some inconvenient dependencies (e.g. lsb-base).
  * Removed dependency to adduser (because of perl).
  * Adding 'messageuser' to the 'dialout' group.
  * Commented out unused Xsession stuff.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Thu, 16 Nov 2006 15:43:38 +0200

dbus (0.94-1) unstable; urgency=low

  [ Riccardo Setti ]
  * Fixed dbus description. (closes: #388186)
  * Improved dbus.init script. (closes: #384859)
    - Patch from David Härdeman <david@2gen.com

  [ Sjoerd Simons ]
  * New upstream release (aka 1.0 RC2)
  * debian/dbus.init: Create the machine-id on start
  * debian/patches/10_dbus_uuid_in_var.patch
    + Added. Put the generated machine-id file in /var. Next upstream version
    will also have it there
  * debian/patches/99_rerun_automake.patch
    + Added. Re-automake because of the changes in the previous patch
  * debian/rules: Use list-missing to list files missing from the package
  * debin/dbus.dirs: Add /var/lib/dbus
  * debian/dbus.install: Include dbus-uuidgen and it's manpage
  * debian/libdbus-1-3.shlibs, debian/shlibs.local: Added. New symbols were
    added in this release.
  * debian/patches/20_dbus_uuid_world_readable.patch
    + Added. Make the generated machine-id file world readable (from upstream
    CVS)

 -- Sjoerd Simons <sjoerd@debian.org>  Wed, 25 Oct 2006 11:26:32 +0200

dbus (0.93-1) unstable; urgency=low

  * New upstream release
  * debian/patches/00_expand_bindir.patch
    - Removed. Fixed upstream
  * debian/control: Build-depend on libx11-dev, so dbus-launch can monitor X
    sessions.

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 16 Sep 2006 23:13:30 +0200

dbus (0.92-2) unstable; urgency=low

  * Upload to unstable
  * debian/patches/00_expand_bindir.patch
    - Added. Ensure the expanded version of $bindir is used for the
    DBUS_DAEMONDIR define. Fixes useless warning from dbus-launch (From
    upstream CVS)

 -- Sjoerd Simons <sjoerd@debian.org>  Thu,  7 Sep 2006 20:30:05 +0200

dbus (0.92-1) experimental; urgency=low

  * New upstream release 

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 19 Aug 2006 22:13:25 +0200

dbus (0.91-1) experimental; urgency=low

  * New upstream release
    + First packaged dbus modular release. Bindings are in seperate source
      packages now.
  * Bumped libdbus-1 soname
  * debian/control: Remove all build-depends and definitions for the bindings.
  * debian/control: Update to use the official D-Bus spelling 
  * debian/rules: Remove everything that was needed to build the bindings.
  * Remove files not applicable to the D-Bus bus and core libraries:
    + debian/python-dbus.install
    + debian/monodoc-dbus-1-manual.postinst
    + debian/libdbus-qt-1-dev.install
    + debian/libdbus-qt4-1-1.install
    + libdbus-1-cil.install
    + libdbus-qt-1-1c2.install
    + libdbus-1-cil.installcligac
    + libdbus-glib-1-2.install
    + monodoc-dbus-1-manual.install
    + libdbus-qt4-1-dev.install
    + libdbus-glib-1-dev.install
  * Remove all patches not applicable to the D-Bus bus and core libraries:
    + debian/patches/dbus-update-automake.patch
    + debian/patches/dbus-monoversion.patch
    + debian/patches/dbus-no-qt4-examples.patch
    + debian/patches/dbus-mono-pkgconfig-location.patch
    + debian/patches/dbus-new-monodoc.patch

 -- Sjoerd Simons <sjoerd@debian.org>  Mon, 31 Jul 2006 14:50:05 +0200

dbus (0.62-5) unstable; urgency=low

  * Update python-dbus to the new Python Policy
  * Bump Standards-Version to 3.7.2

 -- Sebastian Dröge <slomo@ubuntu.com>  Sat,  8 Jul 2006 01:25:40 +0200

dbus (0.62-4) unstable; urgency=low

  [ Sebastian Dröge ]
  * add ${shlibs:Depends} to Depends of libdbus-glib-1-dev, as it ships
    dbus-binding-tool to /usr/bin/. This fixes a missing libexpat.so.1.0.0.
    Thanks to Daniel Holbach for noticing this.

  [  Michael Biebl ]
  * debian/libdbus-qt4-1-dev.install: qt/dbus/qdbus.h is only a dummy header
    file. Install the real one instead. (Closes: #375298)

 -- Sjoerd Simons <sjoerd@debian.org>  Wed, 28 Jun 2006 19:03:23 +0200

dbus (0.62-3) unstable; urgency=low


