## dbus 1.0.2-0osso7

=== debian/changelog ===
dbus (1.0.2-0osso7) experimental; urgency=low

  * Fixed upgrading problem with some environments.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 04 May 2007 17:48:19 +0300

dbus (1.0.2-0osso6) experimental; urgency=low

  * Fixed a lintian error.
  * Added missing '-g' to compilation options.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 04 May 2007 16:21:57 +0300

dbus (1.0.2-0osso5) experimental; urgency=low

  * Fixed upgrading problem caused by dephelper additions to postinst.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Wed, 11 Apr 2007 14:55:53 +0300

dbus (1.0.2-0osso4) experimental; urgency=low

  * Added workaround for an issue in dbus-sysdeps-util-unix.c. Fixes: MB#883

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Thu, 05 Apr 2007 13:57:48 +0300

dbus (1.0.2-0osso3) experimental; urgency=low

  * Increased per-user connection limit.
  * Added -fPIC compilation option. Fixes: NB#52390

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 02 Mar 2007 13:10:49 +0200
