## dbus 1.0.2-0osso12

=== debian/changelog ===
dbus (1.0.2-0osso12) experimental; urgency=low

  * Made the warning in dbus_connection_filter_remove non-fatal.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 21 Sep 2007 13:43:46 +0300

dbus (1.0.2-0osso11) experimental; urgency=low

  * Fix bug in dbus_connection_filter_remove when removing a non-existing
    filter. Fixes: NB#69207

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Tue, 18 Sep 2007 16:25:11 +0300
