=== debian/control ===
Source: dbus
Section: devel
Priority: optional
Maintainer: Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>
Build-Depends: cdbs, debhelper, libexpat-dev, doxygen
Standards-Version: 3.7.2

Package: dbus
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: libdbus0, dbus-1, dbus-1-utils (<< 0.50-2), libdbus-1-1
Replaces: libdbus0, dbus-1
Description: simple interprocess messaging system
 D-Bus is a message bus, used for sending messages between
 applications.  Conceptually, it fits somewhere in between raw sockets
 and CORBA in terms of complexity.
 .
 D-Bus supports broadcast messages, asynchronous messages (thus
 decreasing latency), authentication, and more.  It is designed to be
 low-overhead; messages are sent using a binary protocol, not using
 XML.  D-Bus also supports a method call mapping for its messages, but
 it is not required; this makes using the system quite simple.
 .
 D-Bus is still under heavy development, but is expected to be widely
 used.  It comes with several interfaces, including GLib.  See the
 description of dbus-glib-1 for more information about those.
 .
 This package contains the D-Bus daemon; the client-side library can
 be found in the libdbus-1-3 package, as it is no longer contained in
 this package.

Package: libdbus-1-3
Architecture: any
Depends: ${shlibs:Depends}
Recommends: dbus
Section: libs
Conflicts: dbus (<< 0.60)
Description: simple interprocess messaging system
 D-Bus is a message bus, used for sending messages between
 applications.  Conceptually, it fits somewhere in between raw sockets
 and CORBA in terms of complexity.
 .
 D-Bus supports broadcast messages, asynchronous messages (thus
 decreasing latency), authentication, and more.  It is designed to be
 low-overhead; messages are sent using a binary protocol, not using
 XML.  D-Bus also supports a method call mapping for its messages, but
 it is not required; this makes using the system quite simple.
 .
 D-Bus is still under heavy development, but is expected to be widely
 used.  It comes with several interfaces, including GLib.  See the
 description of libdbus-glib-1-2 for more information about those.
 .
 The daemon can be found in the dbus package.

Package: libdbus-1-3-dbg
Section: devel
Priority: extra
Architecture: any
Depends: libdbus-1-3 (= ${Source-Version})
Conflicts: dbus (<< 0.60)
Description: libdbus-1-3 debug symbols
 libdbus-1-3 debug symbols for debugging.

Package: dbus-1-utils
Architecture: any
Section: utils
Depends: ${shlibs:Depends}, dbus
Description: simple interprocess messaging system (utilities)
 D-Bus is a message bus, used for sending messages between
 applications.  Conceptually, it fits somewhere in between raw sockets
 and CORBA in terms of complexity.
 .
 This package contains several D-Bus related utilities like
 dbus-launch and dbus-send.
 .
 See the dbus description for more information about D-Bus in general.

Package: dbus-1-doc
Section: doc
Architecture: all
Suggests: dbus-1-dev
Conflicts: libdbus0-doc
Replaces: libdbus0-doc
Description: simple interprocess messaging system (documentation)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package contains the API documentation for D-Bus, as well as
 the protocol specification.
 .
 See the dbus description for more information about D-Bus in general.

Package: libdbus-1-dev
Section: libdevel
Architecture: any
Depends: libdbus-1-3 (= ${Source-Version}), pkg-config
Conflicts: dbus-1-dev
Replaces: libdbus0-dev, dbus-1-dev 
Description: simple interprocess messaging system (development headers)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 See the dbus description for more information about D-Bus in general.
