## dbus 1.0.2-0osso12fix

=== debian/changelog ===
dbus (1.0.2-0osso12fix) experimental; urgency=low

  * Added dbus-dbg package. Fixes: NB#70750

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 29 Oct 2007 10:34:00 +0200
