=== debian/control ===
--- 
+++ 
@@ -28,6 +28,14 @@
  This package contains the D-Bus daemon; the client-side library can
  be found in the libdbus-1-3 package, as it is no longer contained in
  this package.
+
+Package: dbus-dbg
+Section: devel
+Priority: extra
+Architecture: any
+Depends: dbus (= ${Source-Version})
+Description: dbus debug symbols
+ dbus debug symbols for debugging.
 
 Package: libdbus-1-3
 Architecture: any
