=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,7 @@
 
 DEB_SHLIBDEPS_INCLUDE_dbus-1-utils := debian/libdbus-1-3/usr/lib/ 
 
-DEB_DH_STRIP_ARGS := --dbg-package=libdbus-1-3
+DEB_DH_STRIP_ARGS := --dbg-package=libdbus-1-3 --dbg-package=dbus
 
 binary-post-install/dbus::
 	mkdir -p debian/dbus/etc/dbus-1/event.d
