## dbus 1.0.2-0osso14

=== debian/changelog ===
dbus (1.0.2-0osso14) experimental; urgency=low

  * Use waitdbus in the init script before starting HAL. Fixes: NB#83820

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Wed,  9 Apr 2008 09:46:37 +0300

dbus (1.0.2-0osso13) experimental; urgency=low

  * Fixed build dependency libexpat-dev -> libexpat1-dev. Fixes: NB#80418
  * Added dbus-dbg package. Fixes: NB#70750
  * Fixed a possible segfault in dbus_connection_send_with_reply when the
    connection has been disconnected.
  * Also unreference connections without guid. (Upstream bug 8376.)

  Bugs discovered by statical code analysis:
  * Added a missing va_end call to dbus_set_error.
  * Use ssize_t instead of size_t to store read(2) return value in two
    places in dbus-spawn.c.
  * Added a missing NULL check to _dbus_spawn_async_with_babysitter.
  * Added a check for failing allocation to bus.c:setup_server.
  * Use DBUS_UID_UNSET and DBUS_GID_UNSET instead of checking if an unsigned
    variable is smaller than zero.
  * Transform dead code into working code in
    _dbus_connection_get_next_client_serial.
  * Add one more OOM check to return_uuid.
  * Add one more OOM check to _dbus_get_autolaunch_address.
  * Fixes to dbus_get_local_machine_id.
  * Add missing OOM checks to dbus-internals.c.
  * Add missing OOM check to main.c.
  * Fix some _dbus_poll calls in dbus-spawn.c.
  * Remove unused function _dbus_shell_quote.
  * Remove some dead code from config-parser.c.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Tue, 19 Feb 2008 09:48:37 +0200
