=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>
-Build-Depends: cdbs, debhelper, libexpat-dev, doxygen
+Build-Depends: cdbs, debhelper, libexpat1-dev, doxygen
 Standards-Version: 3.7.2
 
 Package: dbus
