## dbus 1.2.14-0maemo1+0m5

=== debian/changelog ===
dbus (1.2.14-0maemo1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Attiq Malik <ext-attiq.1.malik@nokia.com>  Fri, 14 Aug 2009 11:27:28 +0300

dbus (1.2.14-0maemo1) unstable; urgency=low

  * Rulematching rewrite by Will Thompson. Fixes: NB#91981
  * Don't ack driver match calls when not called for. Fixes: NB#127602
  * New upstream release 1.2.14 to catch up with CVE fixes.

 -- Janne Karhunen <Janne.Karhunen@nokia.com>  Fri, 07 Aug 2009 09:47:23 +0300

dbus (1.2.12-0maemo6) unstable; urgency=low

  * Use monotonic time instead of gettimeofday(), Fixes: NB#101636
  * Ignore EPIPE on writes, Fixes: NB#113187

 -- Janne Karhunen <Janne.Karhunen@nokia.com>  Mon, 27 Apr 2009 13:30:36 +0300

dbus (1.2.12-0maemo5) unstable; urgency=low

  * Implement SUW restart support, Fixes: NB#110611
  * Prevent autolaunch on unset session bus

 -- Janne Karhunen <Janne.Karhunen@nokia.com>  Wed, 15 Apr 2009 12:36:57 +0300

dbus (1.2.12-0maemo4) unstable; urgency=low

  [ Janne Karhunen ]
  * Session bus restart support, Fixes: NB#92995 

 -- Janne Karhunen <Janne.Karhunen@nokia.com>  Mon, 30 Mar 2009 09:12:50 +0300

dbus (1.2.12-0maemo3) unstable; urgency=low

  [ Guillem Jover ]
  * Switch Maintainer to Janne Karhunen.
  * Add information headers to patches.
  * Take over upstart event.d files. (Fixes: NB#103322)
    - Fix script to match the previous contents from the init script.
    - Add a Replaces on system-services to dbus package.
  * Take over upstart Xsession file. (Fixes: NB#103349)
    - Reactivate Xsession script installation logic.
    - Prepend maemo code, and disable debian stuff for now.

  [ Janne Karhunen ]
  * Use unique session bus addresses. (Fixes: NB#105506)
  * Remove dsmetool session bus monitoring

 -- Janne Karhunen <Janne.Karhunen@nokia.com>  Thu, 19 Mar 2009 12:30:02 +0200

dbus (1.2.12-0maemo2) unstable; urgency=low

  * Add pid and uid to the open match warning on syslog. (Fixes: NB#99319)
  * Replace 'D-Bus daemon' with 'dbus' as the openlog identifier.

 -- Guillem Jover <guillem.jover@nokia.com>  Wed, 04 Feb 2009 21:47:20 +0200

dbus (1.2.12-0maemo1) unstable; urgency=low

  * New upstream release.
    - debian/patches/01-add-initgroups-call.patch: Refresh.
  * Sync with Debian packaging 1.2.1-5.
    - Reenable X support for dbus-x11.
    - Add back dbus-x11 as a Recommends in dbus.
    - Upgrade lsb-base versioned dependency to 3.2-14.
    - Add status support to the init script.
  * Update copyright years in scripts, and use UTF-8 symbol.
  * Use log_warning_msg instead of echo in init script.
  * Use binary:Version substvar instead of obsolete Source-Version.

 -- Guillem Jover <guillem.jover@nokia.com>  Wed, 21 Jan 2009 16:51:54 +0200

dbus (1.2.8-0maemo1) unstable; urgency=low

  * New upstream release.
    - debian/patches/90-atomic-file-change-sync.patch: Remove, merged upstream.
    - debian/patches/01-add-initgroups-call.patch: Refresh.
    - debian/patches/08-create-new-process-group.patch: Likewise.
    - debian/patches/09-remove-max-match-limit.patch: Likewise.
    - debian/patches/10-up-connection-limits.patch: Likewise.
    - debian/patches/17-do-not-inherit-oom-adj.patch: Likewise.
    - debian/patches/18-fix-remove-bogus-filter.patch: Likewise.
    - debian/patches/22-use-signed-return-value.patch: Likewise.

 -- Guillem Jover <guillem.jover@nokia.com>  Fri, 19 Dec 2008 08:26:51 +0200

dbus (1.2.4-0maemo3) unstable; urgency=low

  * Optimize and correct init script not running on sbox arm by:
    - Checking for existance of /scratchbox directory instead of architecture
      being arm when deciding to use dsmetool.
    - Using 'chown user:group' syntax instead of chown and chgrp.
    - Add a missing Depends on passwd.
    Thanks to Riku Voipio <ext-riku.voipio@nokia.com>. (Fixes: NB#94340)

 -- Guillem Jover <guillem.jover@nokia.com>  Fri, 05 Dec 2008 12:10:37 +0200

dbus (1.2.4-0maemo2) unstable; urgency=low

  * Reset the scheduling policy to SCHED_OTHER for spawned services.
    - debian/patches/08-create-new-process-group.patch: Updated.

 -- Guillem Jover <guillem.jover@nokia.com>  Tue, 28 Oct 2008 18:20:35 +0200

dbus (1.2.4-0maemo1) unstable; urgency=low

  * New upstream release.

 -- Guillem Jover <guillem.jover@nokia.com>  Wed, 08 Oct 2008 19:32:58 +0300

dbus (1.2.3-0maemo1) unstable; urgency=low

  * New upstream release.
  * Make atomic file changes really atomic by syncing the data before rename.
    - debian/patches/90-atomic-file-change-sync.patch: New file.
    (Closes@FreeDesktop.org: #17352)
    Thanks to Artem Bityutskiy <Artem.Bityutskiy@nokia.com>.
  * Only generate the machine-id file on boot if it does not exist or it's
    an empty file. (Fixes: NB#87920)
    Thanks to Artem Bityutskiy <Artem.Bityutskiy@nokia.com>.

 -- Guillem Jover <guillem.jover@nokia.com>  Fri, 05 Sep 2008 21:43:12 +0300

dbus (1.2.1-2maemo1) unstable; urgency=low

  * New Maemo maintainer.
  * New upstream release (sync with Debian packaging 1.2.1-2).
    - debian/patches/debian/00_dbus-quiesce-startup-errors.patch: New file.
    - debian/patches/debian/01_no-fatal-warnings.patch: Likewise,
    - debian/patches/debian/02_dbus_monitor_no_sigint_handler.patch: Likewise.
    - debian/patches/12-fix-unlocked-access.patch: Remove, merged ustream.
    - debian/patches/13-fix-connection-locks.patch: Likewise.
    - debian/patches/14-increase-default-limits.patch: Likewise.
    - debian/patches/15-increase-session-limits.patch: Likewise.
    - debian/patches/16-fix-socket-call-check.patch: Likewise.
    - debian/patches/19-fix-segfault-in-case-of-NULL.patch: Likewise.
    - debian/patches/23-add-NULL-check.patch: Likewise.
    - debian/patches/24-check-failed-alloc.patch: Likewise.
    - debian/patches/25-fix-uid-gid-checks.patch: Likewise.
    - debian/patches/26-use-signed-return-value2.patch: Likewise.
    - debian/patches/27-dead-code-and-reply-serial.patch: Likewise.

