=== debian/control ===
Source: dbus
Section: devel
Priority: optional
Maintainer: Janne Karhunen <janne.karhunen@nokia.com>
Build-Depends: cdbs (>= 0.4.43),
               debhelper (>= 5.0.37.2),
               quilt,
               autotools-dev,
               libexpat1-dev,
               doxygen,
               libx11-dev
Standards-Version: 3.7.3
Homepage: http://dbus.freedesktop.org/

Package: dbus
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         passwd,
         lsb-base (>= 3.2-14)
Conflicts: libdbus0,
           dbus-1,
           dbus-1-utils (<< 1.0.2-5),
           libdbus-1-1
Replaces: libdbus0,
          dbus-1,
          dbus-1-utils (<< 1.0.2-5),
          system-services
Provides: dbus-1-utils
Recommends: dbus-x11
Description: simple interprocess messaging system
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 D-Bus supports broadcast messages, asynchronous messages (thus
 decreasing latency), authentication, and more. It is designed to be
 low-overhead; messages are sent using a binary protocol, not using
 XML. D-Bus also supports a method call mapping for its messages, but
 it is not required; this makes using the system quite simple.
 .
 It comes with several bindings, including GLib, Python, Qt and Java.
 .
 This package contains the D-Bus daemon and related utilities.
 .
 The client-side library can be found in the libdbus-1-3 package, as it is no
 longer contained in this package.

Package: dbus-x11
Architecture: any
Section: x11
Depends: ${shlibs:Depends},
         ${misc:Depends},
         dbus
Conflicts: dbus (<< 1.1.2)
Replaces: dbus (<< 1.1.2), system-services
Description: simple interprocess messaging system (X11 deps)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package contains the dbus-launch utility which is necessary for
 packages using a D-Bus session bus.
 .
 See the dbus description for more information about D-Bus in general.

Package: dbus-dbg
Section: devel
Priority: extra
Architecture: any
Depends: dbus (= ${binary:Version})
Description: dbus debug symbols
 dbus debug symbols for debugging.

Package: libdbus-1-3
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: dbus
Section: libs
Conflicts: dbus (<< 0.60)
Description: simple interprocess messaging system
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 D-Bus supports broadcast messages, asynchronous messages (thus
 decreasing latency), authentication, and more. It is designed to be
 low-overhead; messages are sent using a binary protocol, not using
 XML. D-Bus also supports a method call mapping for its messages, but
 it is not required; this makes using the system quite simple.
 .
 It comes with several bindings, including GLib, Python, Qt and Java.
 .
 The daemon can be found in the dbus package.

Package: libdbus-1-3-dbg
Section: devel
Priority: extra
Architecture: any
Depends: libdbus-1-3 (= ${binary:Version})
Conflicts: dbus (<< 0.60)
Description: libdbus-1-3 debug symbols
 libdbus-1-3 debug symbols for debugging.

Package: dbus-1-utils
Architecture: any
Section: utils
Depends: dbus, dbus-x11
Description: transitional package
 This package can be safely removed once no other package depends on it.
 To speed up the transition please, update your Build-Depends and Depends
 fields on your packages, if you need dbus-launch use dbus-x11, if you
 need dbus-monitor or dbus-send just use dbus.

Package: dbus-1-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: dbus-1-dev
Conflicts: libdbus0-doc
Replaces: libdbus0-doc
Description: simple interprocess messaging system (documentation)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package contains the API documentation for D-Bus, as well as
 the protocol specification.
 .
 See the dbus description for more information about D-Bus in general.

Package: libdbus-1-dev
Section: libdevel
Architecture: any
Depends: libdbus-1-3 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         pkg-config
Conflicts: dbus-1-dev
Replaces: libdbus0-dev,
          dbus-1-dev
Description: simple interprocess messaging system (development headers)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 See the dbus description for more information about D-Bus in general.
