=== debian/rules ===
#!/usr/bin/make -f
# Copyright © 2002,2003 Colin Walters <walters@verbum.org>
# Copyright © 2003 Daniel Stone <daniels@debian.org>
# Copyright © 2006 Sjoerd Simons <sjoerd@debian.org>
# Copyright © 2006-2008 Nokia Corporation. All rights reserved.

include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

libdbusN := $(shell sed -rn 's/Package:[[:space:]]*(libdbus-[0-9-]+)[[:space:]]*$$/\1/p' debian/control | head -n 1)

DEB_DH_MAKESHLIBS_ARGS_ALL = -V '$(libdbusN) (>= 1.1.1)'

# List any files which are not installed
common-binary-post-install-arch:: list-missing

DEB_CONFIGURE_LIBEXECDIR := "\$${prefix}/lib/dbus-1.0"

DEB_CONFIGURE_EXTRA_FLAGS += \
	--disable-xml-docs \
	--enable-doxygen-docs \
	--with-socket-dir=/tmp

DEB_DH_INSTALLINIT_ARGS := -r -- start 12 2 3 4 5 . stop  88 1 .

# XXX (maemo): optimization flags
CFLAGS = -Wall -fPIC -O2 -g
# Prefer hardware floating point if enabled
ifneq (,$(findstring vfp,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -mfpu=vfp -mfloat-abi=softfp
else
# Use soft-float and thumb mode if it enabled.
ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -mthumb
endif
endif

# XXX (maemo) divergence
binary-post-install/dbus::
	mkdir -p debian/dbus/etc/event.d
	cp debian/dbus.event debian/dbus/etc/event.d/dbus
	cp debian/dbus-actdead.event debian/dbus/etc/event.d/dbus-actdead

binary-post-install/dbus-x11::
	# XXX (maemo) divergence
	#mkdir -p debian/dbus/etc/dbus-1/event.d
	mkdir -p debian/dbus-x11/etc/X11/Xsession.d
	mkdir -p debian/dbus-x11/etc/X11/Xsession.actdead
	cp debian/dbus-Xsession debian/dbus-x11/etc/X11/Xsession.d/01dbus
	cp debian/dbus-Xsession debian/dbus-x11/etc/X11/Xsession.actdead/01dbus
	cp debian/dbus-Xsession-restart debian/dbus-x11/etc/X11/Xsession.d/41dbus

# XXX (maemo): this is needed because we patch doc/Makefile.am
post-patches::
	ACLOCAL=aclocal-1.9 AUTOMAKE=automake-1.9 autoreconf -f -i

build/dbus-1-doc::
	doxygen Doxyfile
	# XXX (maemo) divergence
	#xsltproc -o dbus.devhelp debian/doxygen_to_devhelp.xsl doc/api/xml/index.xml

clean::
	rm -rf doc/api
	rm -f test/data/valid-config-files/session.conf
	rm -f test/data/valid-config-files/system.conf
	rm -f doc/*.html
	rm -f dbus.devhelp
