## dbus 1.2.14-0maemo4+0m5

=== debian/changelog ===
dbus (1.2.14-0maemo4+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Chandra Vanipenta <ext-chandra.1.vanipenta@nokia.com>  Thu, 18 Feb 2010 11:27:52 +0200

dbus (1.2.14-0maemo4) unstable; urgency=low

  * From: Thiago Macieira <thiago@kde.org>
    Fixes: NB#156182 - Don't be so severe with UTF-8 text: allow non-characters too.
    The Unicode charts say that the non-characters are not allowed for
    text interchange, but can be used in local implementations. One can
    argue that D-Bus is just a transport mechanism for a local
    implementation (i.e., an application composed of multiple processes
    communicating over D-Bus). Therefore, let's not enforce those extra rules.

 -- Jari Koivikko <ext-jari.koivikko@nokia.com>  Fri, 12 Feb 2010 13:29:35 +0200

dbus (1.2.14-0maemo3) unstable; urgency=low

  * Recompilation tag for gcc-4.2 4.2.1-4maemo12. Fixes: NB#153509

 -- Jari Koivikko <ext-jari.koivikko@nokia.com>  Mon, 25 Jan 2010 09:49:14 +0200
