## dbus 1.2.16-0ubuntu9

=== debian/changelog ===
dbus (1.2.16-0ubuntu9) karmic; urgency=low

  * 20_system_conf_limit.patch:
    - increase max_match_rules_per_connection for the system
      bus to 5000 (LP: #454093)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 23 Oct 2009 20:10:26 +0200

dbus (1.2.16-0ubuntu8) karmic; urgency=low

  * Add debian/patches/11_timeout_handling.patch:
    - Fix timeout accounting. The elapsed_milliseconds contains the time
      from the start, so subtracting it on every iteration means that the
      timeout is much less than what is requested. Instead compare the
      absolute values, but pass the difference to calls which want a timeout
      so that the correct remaining time is used. (LP: #376145)
      Thanks to Chris Coulson for his help in tracking this down.

 -- James Westby <james.westby@ubuntu.com>  Thu, 01 Oct 2009 14:10:51 +0100

dbus (1.2.16-0ubuntu7) karmic; urgency=low

  * Instruct upstart to attempt to reconnect to D-Bus once we've started
    the daemon. 

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 30 Sep 2009 22:06:59 +0100

dbus (1.2.16-0ubuntu6) karmic; urgency=low

  * Use --exec-prefix='', not --exec-prefix=/, so that we get libdir=/lib
    instead of libdir=//lib - avoiding the incorrect setting of rpath in the
    dbus helper utils.  LP: #432718.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 22 Sep 2009 15:05:19 -0700

dbus (1.2.16-0ubuntu5) karmic; urgency=low

  * 82_link-order.patch: If libdbus-convenience needs symbols from any
    system library (e.g. clock_gettime from -lrt on ia64) then the system
    libraries need to go after libdbus-convenience.la on the link line.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 18 Sep 2009 17:52:47 +0100

dbus (1.2.16-0ubuntu4) karmic; urgency=low

  * debian/dbus.upstart:
    - Have to start on local-filesystems rather than virtual-filesystems
      since the UUID file is under /var/lib.  We can't wait for network
      filesystems though since we may need NM (which needs D-Bus) to bring
      those up.

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 16 Sep 2009 13:52:53 +0100

dbus (1.2.16-0ubuntu3) karmic; urgency=low

  FFE LP: #427356.

  * Replace init script with Upstart job.
  * debian/control:
    - Bump build-dependency on debhelper for Upstart-aware dh_installinit

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 15 Sep 2009 03:32:44 +0100

dbus (1.2.16-0ubuntu2) karmic; urgency=low

  * Drop consolekit to a recommends, you almost certainly want it installed
    but it's ok to remove it if you don't want libx11 on your system. 
    LP: #326613.

 -- Scott James Remnant <scott@ubuntu.com>  Fri, 17 Jul 2009 12:06:47 +0100

dbus (1.2.16-0ubuntu1) karmic; urgency=low

  * New upstream release:
    - Fixes race condition closing a socket with undelivered messages
      associated with it.
    - Includes timeout patches applied to previous Ubuntu releases.
    - Includes container abandonment patches applied to previous Ubuntu
      release.
    - Other bug fixes.

  * Drop the 50-timeout-* patches, all merged upstream.
  * Drop 90-abandon-container.patch and 91-append-args_abandon-container.patch
    merged upstream.
  * Drop 99-version.patch.

  * debian/libdbus-1-3.symbols: Add new symbol.

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 15 Jul 2009 11:08:52 +0100

dbus (1.2.14-2ubuntu7) karmic; urgency=low

  * 99-version.patch: Include the GIT version bump

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 09 Jul 2009 16:37:17 +0100

dbus (1.2.14-2ubuntu6) karmic; urgency=low

  * 90-abandon-container.patch: It's impossible to abandon an array of
    structures without either hitting an assertion or leaking memory, patch
    adds a new dbus_message_iter_abandon_container() function.
  * 91-append-args_abandon-container.patch: Use the new function in
    dbus_message_append_args()

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 08 Jul 2009 23:57:56 +0100

dbus (1.2.14-2ubuntu5) karmic; urgency=low

  * debian/patches/50-timeout-11_tests.patch: Remove the bit about
    .gitignore.  My life would be so much easier if the bzr developers
    were killed in a freak unit testing accident

 -- Scott James Remnant <scott@ubuntu.com>  Mon, 11 May 2009 23:56:58 +0100

dbus (1.2.14-2ubuntu4) karmic; urgency=low

  * Refresh the previous patch set.

  * debian/patches/50-timeout-01_null-for-pending-call.patch: Apply the
    working version of the patch, the previous had code inside the if()
    that was required in the else clause as well.  LP: #375169.
  * debian/patches/50-timeout-11_tests.patch: Add test cases for the
    INT_MAX code path.

 -- Scott James Remnant <scott@ubuntu.com>  Mon, 11 May 2009 23:33:54 +0100

dbus (1.2.14-2ubuntu3) karmic; urgency=low

  This patch set removes reply timeout limitations from the D-Bus bindings
  and the Bus Daemon.  It makes it possible to have very long timeouts
  (greater than the 6 hours previously clamped in the bindings for
   peer-to-peer connections, and greater than the 5 minutes previously
   clamped in the bus daemon) and infinite timeouts (pass INT_MAX as the
  timeout value).

  * debian/patches/50-timeout-01_null-for-pending-call.patch: Don't assume
    that a pending call has a timeout.
  * debian/patches/50-timeout-02_indefinite-pending-call.patch: When a
    pending call has no timeout, block forever.
  * debian/patches/50-timeout-03_create-indefinite-pending-call.patch: Allow
    creation of a timeoutless pending call by using INT_MAX as the timeout.
  * debian/patches/50-timeout-04_pending-call-documentation.patch: Fix
    documentation now that INT_MAX will not be clamped.
  * debian/patches/50-timeout-05_rework-timeout-math.patch: Rework the
    timeout math so it cannot overflow with long timeouts.
  * debian/patches/50-timeout-06_remove-clamp.patch: Now that the timeout
    math cannot overflow, remove the six hour clamp.
  * debian/patches/50-timeout-07_bus-expire-always.patch: Always expire
    items with no time fields.

