=== debian/control ===
--- 
+++ 
@@ -1,33 +1,41 @@
 Source: dbus
 Section: devel
 Priority: optional
-Maintainer: Janne Karhunen <janne.karhunen@nokia.com>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Uploaders: Sjoerd Simons <sjoerd@debian.org>,
+           Sebastian Dröge <slomo@debian.org>,
+           Michael Biebl <biebl@debian.org>,
+           Loic Minier <lool@dooz.org>,
+           Simon McVittie <smcv@debian.org>
 Build-Depends: cdbs (>= 0.4.43),
-               debhelper (>= 5.0.37.2),
-               quilt,
+               debhelper (>= 7.3.15ubuntu2),
                autotools-dev,
-               libexpat1-dev,
+               libexpat-dev,
                doxygen,
-               libx11-dev
-Standards-Version: 3.7.3
+               docbook-utils,
+               xmlto,
+               xsltproc,
+               libx11-dev,
+               libselinux1-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
+               quilt
+Standards-Version: 3.8.1
+Vcs-Svn: svn://svn.debian.org/svn/pkg-utopia/packages/unstable/dbus
+Vcs-Browser: http://svn.debian.org/wsvn/pkg-utopia/packages/unstable/dbus
 Homepage: http://dbus.freedesktop.org/
 
 Package: dbus
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         passwd,
-         lsb-base (>= 3.2-14)
-Conflicts: libdbus0,
-           dbus-1,
-           dbus-1-utils (<< 1.0.2-5),
-           libdbus-1-1
-Replaces: libdbus0,
-          dbus-1,
-          dbus-1-utils (<< 1.0.2-5),
-          system-services
+         adduser,
+         lsb-base (>= 3.2-14),
+	 upstart (>= 0.6.3-6)
+Recommends: consolekit (>= 0.2.3-3ubuntu2)
+Conflicts: dbus-1-utils (<< 1.0.2-5)
+Replaces: dbus-1-utils (<< 1.0.2-5)
 Provides: dbus-1-utils
-Recommends: dbus-x11
+Suggests: dbus-x11
 Description: simple interprocess messaging system
  D-Bus is a message bus, used for sending messages between applications.
  Conceptually, it fits somewhere in between raw sockets and CORBA in
@@ -53,7 +61,7 @@
          ${misc:Depends},
          dbus
 Conflicts: dbus (<< 1.1.2)
-Replaces: dbus (<< 1.1.2), system-services
+Replaces: dbus (<< 1.1.2)
 Description: simple interprocess messaging system (X11 deps)
  D-Bus is a message bus, used for sending messages between applications.
  Conceptually, it fits somewhere in between raw sockets and CORBA in
@@ -63,14 +71,6 @@
  packages using a D-Bus session bus.
  .
  See the dbus description for more information about D-Bus in general.
-
-Package: dbus-dbg
-Section: devel
-Priority: extra
-Architecture: any
-Depends: dbus (= ${binary:Version})
-Description: dbus debug symbols
- dbus debug symbols for debugging.
 
 Package: libdbus-1-3
 Architecture: any
@@ -94,32 +94,11 @@
  .
  The daemon can be found in the dbus package.
 
-Package: libdbus-1-3-dbg
-Section: devel
-Priority: extra
-Architecture: any
-Depends: libdbus-1-3 (= ${binary:Version})
-Conflicts: dbus (<< 0.60)
-Description: libdbus-1-3 debug symbols
- libdbus-1-3 debug symbols for debugging.
-
-Package: dbus-1-utils
-Architecture: any
-Section: utils
-Depends: dbus, dbus-x11
-Description: transitional package
- This package can be safely removed once no other package depends on it.
- To speed up the transition please, update your Build-Depends and Depends
- fields on your packages, if you need dbus-launch use dbus-x11, if you
- need dbus-monitor or dbus-send just use dbus.
-
 Package: dbus-1-doc
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
-Suggests: dbus-1-dev
-Conflicts: libdbus0-doc
-Replaces: libdbus0-doc
+Suggests: libdbus-1-dev
 Description: simple interprocess messaging system (documentation)
  D-Bus is a message bus, used for sending messages between applications.
  Conceptually, it fits somewhere in between raw sockets and CORBA in
@@ -137,9 +116,6 @@
          ${misc:Depends},
          ${shlibs:Depends},
          pkg-config
-Conflicts: dbus-1-dev
-Replaces: libdbus0-dev,
-          dbus-1-dev
 Description: simple interprocess messaging system (development headers)
  D-Bus is a message bus, used for sending messages between applications.
  Conceptually, it fits somewhere in between raw sockets and CORBA in
