## dbus 1.2.16-0ubuntu9.1

=== debian/changelog ===
dbus (1.2.16-0ubuntu9.1) karmic-security; urgency=low

  * SECURITY UPDATE: fix DoS with too deeply nested messages
    - debian/patches/99-CVE-2010-4352.patch: Limit nesting to 64 for dynamic
      message variants. Backported from upstream.
    - CVE-2010-4352
    - LP: #688992
  * debian/control: Build-Depends on libexpat1-dev instead of libexpat-dev

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 04 Jan 2011 14:37:19 -0600
