=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Build-Depends: cdbs (>= 0.4.43),
                debhelper (>= 7.3.15ubuntu2),
                autotools-dev,
-               libexpat-dev,
+               libexpat1-dev,
                doxygen,
                docbook-utils,
                xmlto,
