=== debian/rules ===
#!/usr/bin/make -f
# Copyright  2002,2003 Colin Walters <walters@verbum.org>
# Copyright  2003 Daniel Stone <daniels@debian.org>
# Copyright  2006 Sjoerd Simons <sjoerd@debian.org>

include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

libdbusN := $(shell sed -rn 's/Package:[[:space:]]*(libdbus-[0-9-]+)[[:space:]]*$$/\1/p' debian/control | head -n 1)

DEB_DH_MAKESHLIBS_ARGS_ALL = -V '$(libdbusN) (>= 1.2.14)'

LDFLAGS += -Wl,--as-needed

# List any files which are not installed
common-binary-post-install-arch:: list-missing

DEB_CONFIGURE_LIBEXECDIR := "\$${exec_prefix}/lib/dbus-1.0"

DEB_CONFIGURE_EXTRA_FLAGS += \
	--enable-xml-docs \
	--enable-doxygen-docs \
	--exec-prefix=

DEB_DH_INSTALLINIT_ARGS := -r -- start 12 2 3 4 5 . stop  88 1 .

binary-post-install/dbus-x11::
	mkdir -p debian/dbus-x11/etc/X11/Xsession.d
	cp debian/dbus-Xsession debian/dbus-x11/etc/X11/Xsession.d/75dbus_dbus-launch

install/libdbus-1-dev::
	mkdir -p debian/libdbus-1-dev/usr/lib/pkgconfig
	sed -e 's@-I\$${libdir}@-I$${prefix}/lib@' debian/tmp/lib/pkgconfig/dbus-1.pc > debian/libdbus-1-dev/usr/lib/pkgconfig/dbus-1.pc

build/dbus-1-doc::
	doxygen Doxyfile
	xsltproc -o dbus.devhelp debian/doxygen_to_devhelp.xsl doc/api/xml/index.xml

clean::
	rm -rf doc/api
	rm -f test/data/valid-config-files/session.conf
	rm -f test/data/valid-config-files/system.conf
	rm -f doc/*.html
	rm -f dbus.devhelp
