=== debian/watch ===
version=3

http://dbus.freedesktop.org/releases/dbus/dbus-(.*)\.tar\.gz
